package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class JaringanTubuhDetailVO extends BaseTransactionVO{
	@ManyToOne
	@JoinColumn(name = "ObjectprodukDetailLabAnatomiFk")
	@Caption(value="Object produkDetailLabAnatomi")
	private ProdukDetailLabAnatomiVO produkDetailLabAnatomi;
	
	@Column(name = "ObjectprodukDetailLabAnatomiFk", insertable=false,updatable=false, nullable=false)
	private String produkDetailLabAnatomiId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectjaringanTubuhFk")
	@Caption(value="Object jaringanTubuh")
	private JaringanTubuhVO jaringanTubuh;
	
	@Column(name = "ObjectjaringanTubuhFk", insertable=false,updatable=false, nullable=false)
	private Integer jaringanTubuhId;

	@Column(name = "isNilai")
	@Caption(value = "Is Nilai")
	private Boolean isNilai;

	public ProdukDetailLabAnatomiVO getProdukDetailLabAnatomi() {
		return produkDetailLabAnatomi;
	}

	public void setProdukDetailLabAnatomi(ProdukDetailLabAnatomiVO produkDetailLabAnatomi) {
		this.produkDetailLabAnatomi = produkDetailLabAnatomi;
	}

	public String getProdukDetailLabAnatomiId() {
		return produkDetailLabAnatomiId;
	}

	public void setProdukDetailLabAnatomiId(String produkDetailLabAnatomiId) {
		this.produkDetailLabAnatomiId = produkDetailLabAnatomiId;
	}

	public JaringanTubuhVO getJaringanTubuh() {
		return jaringanTubuh;
	}

	public void setJaringanTubuh(JaringanTubuhVO jaringanTubuh) {
		this.jaringanTubuh = jaringanTubuh;
	}

	public Integer getJaringanTubuhId() {
		return jaringanTubuhId;
	}

	public void setJaringanTubuhId(Integer jaringanTubuhId) {
		this.jaringanTubuhId = jaringanTubuhId;
	}

	public Boolean getIsNilai() {
		return isNilai;
	}

	public void setIsNilai(Boolean isNilai) {
		this.isNilai = isNilai;
	}

}
